My Project

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Member Functions
| MainWindow (QWidget *parent=0)
| Constructor. More...
void | PixelSort (vector< QRgb > &pixels)
| Function that sorts pixels using Selection Sort. More...
void | RemoveNoise (QImage &finalImage, const vector< QImage > &images)
| Function that removes the noise from a set of images. For each position (i,j) of the pixels, insert the pixel in that position of each of the images in a pixels vector, sort the pixel vector, and finally set the median pixel to the new image in position (i,j) More...

## Private Slots
void | on_btnLoadImages_clicked ()
| Function that sets an image to a given label.
void | on_btnRemoveNoise_clicked ()
| Function that invokes the function that removes the noise from the images and set the returned image in the GUI.
void | on_btnSaveImage_clicked ()
| Function that saves the image without noise in the computer.
void | on_actLoad_Images_triggered ()
| Call on_btnLoadImages_clicked() from the buttons.
void | on_actRemoveNoise_triggered ()
| Call on_btnRemoveNoise_clicked() from the buttons.
void | on_actSaveImage_triggered ()
| Call on_actSaveImage_triggered() from the buttons.

## Private Member Functions
void | loadImages (vector< QImage > &, QString)
| Function that loads multiple images from a directory path. More...

## Private Attributes
Ui::MainWindow * | ui
QImage | finalImage
vector< QImage > | images

## Constructor & Destructor Documentation

MainWindow::MainWindow | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.

Destructor.

Keyboard shortcuts Atajos del teclado

Closes window with cmd + w Cierra la ventana con cmd + w

Loads a image with cmd + o Carga una imagen con cmd + o

Removes noise from a image with cmd + r Remueve el ruido de una imagen con cmd + r

Saves an image without noise with cmd + s Guarda una imagen sin ruido con cmd + s

## Member Function Documentation

void MainWindow::loadImages | ( | vector< QImage > & | images,
|  | QString | path
| ) |  |
| private

Function that loads multiple images from a directory path.

Parameters

  images | image vector for images with noise.
  path | path of the directory with the images to load.

void MainWindow::PixelSort | ( | vector< QRgb > & | pixels | ) |

Function that sorts pixels using Selection Sort.

Parameters

  pixels | pixels vector

void MainWindow::RemoveNoise | ( | QImage & | finalImage,
|  | const vector< QImage > & | images
| ) |  |

Function that removes the noise from a set of images. For each position (i,j) of the pixels, insert the pixel in that position of each of the images in a pixels vector, sort the pixel vector, and finally set the median pixel to the new image in position (i,j)

Parameters

  finalImage | Image with the noise removed
  images | Vector of images to remove the noise

The documentation for this class was generated from the following files:

- mainwindow.h
- Filter.cpp
- mainwindow.cpp